Set cell
curl --request PUT \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/fields/{fieldName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": [
"user_kumar",
"user_mark"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: ['user_kumar', 'user_mark']})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/fields/{fieldName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/fields/{fieldName}"
payload = { "value": ["user_kumar", "user_mark"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"entryId": "ent_lead99"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Set cell
Set a CRM cell value.
PUT
/
crm
/
objects
/
{objectName}
/
entries
/
{entryId}
/
fields
/
{fieldName}
Set cell
curl --request PUT \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/fields/{fieldName} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": [
"user_kumar",
"user_mark"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: ['user_kumar', 'user_mark']})
};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/fields/{fieldName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/entries/{entryId}/fields/{fieldName}"
payload = { "value": ["user_kumar", "user_mark"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"entryId": "ent_lead99"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.
Body
application/json
Cell value. Enum=option string, tags=string array, user=one member userId or a userId array, relation=related entry id, boolean=true/false.
Response
Successful response